com.buschmais.jqassistant.plugin.javaee6.impl.scanner

## Class WebXmlScannerPlugin

- java.lang.Object
- - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<I,D>
  - - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractResourceScannerPlugin<R,D>
    - - com.buschmais.jqassistant.plugin.javaee6.impl.scanner.AbstractWarResourceScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,WebXmlDescriptor>
      - - com.buschmais.jqassistant.plugin.javaee6.impl.scanner.WebXmlScannerPlugin

- All Implemented Interfaces:
    com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,WebXmlDescriptor>

      public class WebXmlScannerPlugin
      extends AbstractWarResourceScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,WebXmlDescriptor>

  Scanner plugin for the content of web application XML descriptors (i.e. WEB-INF/web.xml)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.buschmais.jqassistant.core.scanner.api.ScannerPlugin

      `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin.Requires`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebXmlScannerPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accepts(com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource item, String path, com.buschmais.jqassistant.core.scanner.api.Scope scope)`
    `protected void` | `initialize()`
    `WebXmlDescriptor` | `scan(com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource item, String path, com.buschmais.jqassistant.plugin.java.api.model.JavaClassesDirectoryDescriptor classesDirectory, com.buschmais.jqassistant.core.scanner.api.Scanner scanner)`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.javaee6.impl.scanner.AbstractWarResourceScannerPlugin

      `getDescriptorType, getType, scan`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractResourceScannerPlugin

      `slashify, toFileDescriptor`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin

      `getDirectoryPath, getProperties, getProperty, getStringProperty, getTypeParameter, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebXmlScannerPlugin

          public WebXmlScannerPlugin()

  - ### Method Detail

    - #### initialize

          protected void initialize()

      Overrides:
        `initialize` in class `com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,WebXmlDescriptor>`

    - #### accepts

          public boolean accepts(com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource item,
                                 String path,
                                 com.buschmais.jqassistant.core.scanner.api.Scope scope)
                          throws IOException

      Throws:
        `IOException`

    - #### scan

          public WebXmlDescriptor scan(com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource item,
                                       String path,
                                       com.buschmais.jqassistant.plugin.java.api.model.JavaClassesDirectoryDescriptor classesDirectory,
                                       com.buschmais.jqassistant.core.scanner.api.Scanner scanner)
                                throws IOException

      Specified by:
        `scan` in class `AbstractWarResourceScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,WebXmlDescriptor>`
      Throws:
        `IOException`

Copyright © 2015 buschmais GbR. All rights reserved.